
Name:           hello
Version:        0.1
Release:        3%{?dist}

# BuildArch:      x86_64

Summary:        Small test program with GUI
Summary(ru):    Маленькая тестовая программа с графическим интерфейсом
License:        GPL3
URL:            https://redos.red-soft.ru/

Source0:        %{name}-%{version}.tar.gz

Patch0:         0001-Change-size-of-main-window.patch

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gtk3-devel

%description
This package contain a simple program used GTK3.

%description -l ru
Пакет содержит простую графическую утилиту на GTK3.

%prep
%setup -q
%autopatch -p1

%build
chmod +x autoconf.sh
./autoconf.sh
%configure
%make_build

%install
%make_install

%files
%{_bindir}/hello

%changelog
* Fri Nov 22 2024 Alexey Rodionov <alexey.rodionov@red-soft.ru> - 0:0.1-3
- rebuild with i686

* Fri Nov 22 2024 Alexey Rodionov <alexey.rodionov@red-soft.ru> - 0:0.1-2
- change size of main window

* Tue Nov 05 2024 Alexey Rodionov <alexey.rodionov@red-soft.ru> - 0:0.1-1
- initial build
